## megahal 9.1.1a

=== Makefile ===
--- 
+++ 
@@ -17,32 +17,40 @@
 #
 
 # DEBUG=-DDEBUG
-CFLAGS=-O3 -g
+TCLVERSION=8.3
+TCLINCLUDE=-I/usr/include/tcl$(TCLVERSION)
+CFLAGS=-g -Wall
 
 
-all:	megahal
+all:	megahal tcllib pythonmodule perlmodule
 
 megahal: main.o megahal.o megahal.h backup
 	gcc $(CFLAGS) -o megahal megahal.o main.o -lm $(DEBUG)
 	@echo "MegaHAL is up to date"
 
 megahal.o: megahal.c megahal.h
-	gcc -fPIC $(CFLAGS) -c megahal.c 
+	gcc -fPIC $(CFLAGS) -c megahal.c
 
 main.o: main.c megahal.h
-	gcc $(CFLAGS) -c main.c 
+	gcc $(CFLAGS) -c main.c
 
 tcl-interface.o: tcl-interface.c
-	gcc -fPIC $(CFLAGS) -c tcl-interface.c
+	gcc -fPIC $(CFLAGS) $(TCLINCLUDE) -c tcl-interface.c
 
 tcllib: megahal.o tcl-interface.o
 	gcc -fPIC -shared -Wl,-soname,libmh_tcl.so -o libmh_tcl.so megahal.o tcl-interface.o
 
-python-interface.o: python-interface.c
-	gcc -fPIC -c python-interface.c
+pythonmodule: python-interface.c megahal.c
+	python setup.py build
 
-pythonlib: megahal.o python-interface.o
-	gcc -fPIC -shared -Wl,-soname,mh_python.so -o mh_python.so megahal.o python-interface.o
+pythonmodule-install:
+	python setup.py install --root=$(DESTDIR)
+
+perlmodule: megahal.c megahal.h
+	cd Megahal && perl Makefile.PL INSTALLDIRS=vendor && make
+
+perlmodule-install:
+	cd Megahal && make install DESTDIR=$(DESTDIR)
 
 version:
 	./cvsversion.tcl
@@ -52,12 +60,16 @@
 
 clean:
 	rm -f megahal
+	rm -rf build
+	if [ -f Megahal/Makefile ]; then \
+	  cd Megahal ; make clean; \
+	fi
 	rm -f megahal.brn megahal.log megahal.txt
 	if [ -e megahal.dic.backup ];then\
 		cp megahal.dic.backup megahal.dic;\
 		rm megahal.dic.backup;\
 	fi
-	-rm *.o *.so *~
+	rm -f *.o *.so *~
 
 backup:
 	if [ ! -e megahal.dic.backup ];then\
@@ -68,6 +80,32 @@
 
 #
 #	$Log: Makefile,v $
+#	Revision 1.8  2004/01/13 10:59:20  lfousse
+#	* Applied code cleaning already shipped with the debian package.
+#	* Removed pure debian stuff.
+#	* Added lacking setup.py file for python module.
+#	
+#	Revision 1.7  2004/01/03 18:16:23  lfousse
+#	Cleaned the perl directory.
+#	Cleaned the Makefile.
+#	Changed debian stuff (but this should not be a native package any longer).
+#	
+#	Revision 1.6  2003/08/26 12:49:16  lfousse
+#	* Added the perl interface
+#	* cleaned up the python interface a bit (but this
+#	  still need some work by a python "expert")
+#	* Added a learn_no_reply function.
+#	
+#	Revision 1.5  2002/10/16 04:32:53  davidw
+#	* megahal.c (change_personality): [ 541667 ] Added patch from Andrew
+#	  Burke to rework logic in change_personality.
+#	
+#	* megahal.c: Trailing white space cleanup.
+#	
+#	* python-interface.c: [ 546397 ] Change python include path to a more
+#	  recent version.  This should really be fixed by using some of
+#	  Python's build automation tools.
+#	
 #	Revision 1.4  2001/07/06 10:16:39  davidw
 #	Added -fPIC for HPPA folks.
 #
